jdbm.helper

## Class IntegerComparator

- java.lang.Object
- - jdbm.helper.IntegerComparator

All Implemented Interfaces:
  Serializable, Comparator<Integer>

    public final class IntegerComparator
    extends Object
    implements Comparator<Integer>, Serializable

Comparator for Integer objects.

Author:
  Christof Dallermassl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IntegerComparator()`

### Method Summary

Methods
`int` `compare(Integer obj1, Integer obj2)` Compare two objects.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### IntegerComparator

    public IntegerComparator()

### Method Detail

#### compare

    public int compare(Integer obj1,
              Integer obj2)

Compare two objects.

Specified by:
  `compare` in interface `Comparator<Integer>`
Parameters:
  `obj1` - First object
  `obj2` - Second object
Returns:
  a positive integer if obj1 > obj2, 0 if obj1 == obj2, and a negative integer if obj1 < obj2